# Interface: HasherContext

## Table of contents

### Properties

- [hasher](../../devkit/documents/HasherContext#hasher): TaskHasher
- [nxJsonConfiguration](../../devkit/documents/HasherContext#nxjsonconfiguration): NxJsonConfiguration&lt;string[] | &quot;\*&quot;&gt;
- [projectGraph](../../devkit/documents/HasherContext#projectgraph): ProjectGraph
- [projectsConfigurations](../../devkit/documents/HasherContext#projectsconfigurations): ProjectsConfigurations
- [taskGraph](../../devkit/documents/HasherContext#taskgraph): TaskGraph

## Properties

### hasher

• **hasher**: [`TaskHasher`](../../devkit/documents/TaskHasher)

---

### nxJsonConfiguration

• **nxJsonConfiguration**: [`NxJsonConfiguration`](../../devkit/documents/NxJsonConfiguration)<`string`[] \| `"*"`\>

---

### projectGraph

• **projectGraph**: [`ProjectGraph`](../../devkit/documents/ProjectGraph)

---

### projectsConfigurations

• **projectsConfigurations**: [`ProjectsConfigurations`](../../devkit/documents/ProjectsConfigurations)

---

### taskGraph

• **taskGraph**: [`TaskGraph`](../../devkit/documents/TaskGraph)
